Category: C++ Estimated time: 0.00 hour
Target version:
Description

    -  Create a real Action Interface (currently called Handler)
    -  Associate one Subscription with with each Listener
        -  Remove Handlers / Actions from Subscription
Things that may break during the implementation of this change:
    -  rsb::Listener::get/setSubscription will behave in a slightly strange manner
        -  the subscription returned by getSubscription will always contain a ScopeFilter although the client never added one
        -  modifying the subscription returned by getSubscription will have no effect unless the modified subscription is installed via 
setSubscription
    -  rsb::eventprocessing::EventProcessingStrategy::unsubscribe (fixed; thanks Johannes)

Associated revisions
Revision d0913155 - 04/16/2011 12:42 AM - J. Moringen
Refactored Handler/Action and Listener/Subscription as described in
refs #244
    -  c++/core/src/CMakeLists.txt: removed c++/core/src/rsb/Action.h
    -  c++/core/src/rsb/Handler.{h,cpp}: unified Action and Handler
    -  c++/core/src/rsb/Listener.{h,cpp}: only one Subscription, added

  handlers
    -  c++/core/src/rsb/Subscription.{h,cpp}: removed handlers
    -  c++/core/src/rsb/QueuePushHandler.h: adapted to new

  Subscription/Handler interfaces
    -  c++/core/src/rsb/eventprocessing/EventProcessingStrategy.{h,cpp}:

  likewise
    -  c++/core/src/rsb/eventprocessing/Router.{h,cpp}: likewise
    -  c++/core/src/rsb/patterns/RemoteServer.cpp: likewise
    -  c++/core/src/rsb/patterns/Server.{h,cpp}: likewise
    -  c++/core/src/rsb/transport/Connector.{h,cpp}: likewise
    -  c++/core/src/rsb/transport/inprocess/InProcessConnector.{h,cpp}:

  likewise
    -  c++/core/src/rsb/transport/spread/ReceiverTask.{h,cpp}: likewise
    -  c++/core/src/rsb/transport/spread/SpreadConnector.{h,cpp}: likewise

    -  c++/core/examples/doublecheck.cpp: adapted to new client API
    -  c++/core/examples/listener/listener.cpp: likewise
    -  c++/core/examples/listener/receiveFile.cpp: likewise

    -  c++/core/test/rsb/HandlerTest.cpp: adapted to new client API
    -  c++/core/test/rsb/RSBTest.cpp: likewise
    -  c++/core/test/rsb/eventprocessing/EventProcessingStrategyTest.cpp: likewise
    -  c++/core/test/rsb/transport/spread/SpreadConnectorTest.cpp: likewise
History
#1 - 04/15/2011 01:00 AM - J. Moringen
- Status changed from New to In Progress
- Assignee changed from S. Wrede to J. Moringen

#2 - 04/16/2011 12:45 AM - J. Moringen
- % Done changed from 0 to 70

#3 - 04/21/2011 10:16 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100
